%define name ruby-gnome2
%define version 0.7.0
%define release 2mdk
%define rubyver 1.8

Summary: Set of Ruby language bindings for the GNOME 2.0.
Name: %name
Version: %version
Release: %release
License: LGPL
Group: Development/Other
URL: http://ruby-gnome2.sourceforge.jp/
Source0: %{name}-all-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: ruby-devel libGConf2-devel libgnomeui2-devel
BuildRequires: libgnomecanvas2-devel libart_lgpl-devel > 2 png-devel
BuildRequires: gtk+2-devel pango-devel gdk-pixbuf-devel 
BuildRequires: atk-devel glib2-devel gnome-vfs2-devel libgstreamer-devel
BuildRequires: libgtkhtml2-devel > 2.4 gtkglext-devel

Requires: ruby >= %{rubyver}

%description
set of Ruby language bindings for the GNOME 2.0 development environment. This
is the next generation of Ruby-GNOME.

%package devel
Summary: Headers for developing with Ruby/Gnome2, Ruby/Gtk2, ...
License: LGPL
Group: Development/Other
Requires: %name = %version-%release
Obsoletes: ruby-gtk2-devel
Provides: ruby-gtk2-devel

%package -n ruby-glib2
Summary: Set of Ruby language bindings for the GLib 
Group: Development/Other
Requires: ruby >= %{rubyver}
Obsoletes: ruby-gtk2 < 0.5.0-2mdk

%description -n ruby-glib2
set of Ruby language bindings for the GLib 

%package -n ruby-gtk2
Summary: Set of Ruby language bindings for the GTK 
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-glib2 = %version-%release ruby-pango = %version-%release

%description -n ruby-gtk2
set of Ruby language bindings for the GTK 

%package -n ruby-pango
Summary: Set of Ruby language bindings for the Pango 
Group: Development/Other
Requires: ruby >= %{rubyver}
Obsoletes: ruby-gtk2 < 0.5.0-2mdk

%description -n ruby-pango
set of Ruby language bindings for the Pango

%package -n ruby-libglade2
Summary: Set of Ruby language bindings for the Libglade 
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-gtk2 = %version-%release ruby-gnome2 = %version-%release
Obsoletes: ruby-gnome2 < 0.5.0-2mdk

%description -n ruby-libglade2
set of Ruby language bindings for the Libglade

%package -n ruby-libart2
Summary: Set of Ruby language bindings for the Libart
Group: Development/Other
Requires: ruby >= %{rubyver}
Obsoletes: ruby-gnome2 < 0.5.0-2mdk

%description -n ruby-libart2
set of Ruby language bindings for the Libart

%package -n ruby-gnomecanvas2
Summary: Set of Ruby language bindings for the GnomeCanvas
Group: Development/Other
Requires: ruby >= %{rubyver}
Obsoletes: ruby-gnome2 < 0.5.0-2mdk

%description -n ruby-gnomecanvas2
set of Ruby language bindings for the GnomeCanvas

%package -n ruby-gconf2
Summary: Set of Ruby language bindings for the GConf
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-glib2 = %version-%release
Obsoletes: ruby-gnome2 < 0.5.0-2mdk

%description -n ruby-gconf2
set of Ruby language bindings for the GConf

%package -n ruby-gnomevfs2
Summary: Set of Ruby language bindings for gnome-vfs
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-glib2 = %version-%release ruby-gconf2 = %version-%release

%description -n ruby-gnomevfs2
set of Ruby language bindings for gnome-vfs

%package -n ruby-gst
Summary: Set of Ruby language bindings for gstreamer
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-glib2 = %version-%release

%description -n ruby-gst
set of Ruby language bindings for gstreamer

%package -n ruby-gtkhtml2
Summary: Set of Ruby language bindings for GtkHtml
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-glib2 = %version-%release

%description -n ruby-gtkhtml2
set of Ruby language bindings for GtkHtml

%package -n ruby-gtkglext
Summary: Set of Ruby language bindings for GtkGLExt
Group: Development/Other
Requires: ruby >= %{rubyver} ruby-rbogl
Requires: ruby-glib2 = %version-%release ruby-gtk2 = %version-%release

%description -n ruby-gtkglext
set of Ruby language bindings for GtkGLExt

%description devel
Ruby bindings for Gnome2.
This package contains header files needed for developing Ruby extensions
depending on Ruby/Gnome2, Ruby/Glib2, Ruby/Pango, ...

%prep 
%setup -q -n ruby-gnome2-all-%version

%build
ruby extconf.rb
%make

%install
rm -rf %buildroot

libdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['libdir']"`
archdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['archdir']"`

make install libdir=$libdir archdir=$archdir

mkdir -p $archdir
cp -a */src/rb*.h $archdir

# glib2
find %buildroot -type f -print \
	| grep 'glib2' \
	| ruby -pe 'sub(%r|^'%buildroot'|, "")' \
	> glib2-filelist

mkdir -p %buildroot%{_docdir}/ruby-glib2/
cp AUTHORS %buildroot%{_docdir}/ruby-glib2/
cp -a glib/{COPYING.LIB,ChangeLog,README} %buildroot%{_docdir}/ruby-glib2/
echo '%{_docdir}/ruby-glib2/' >> glib2-filelist

# gtk2 + gdk2
find %buildroot -type f -print \
	| grep 'gtk2' \
	| ruby -pe 'sub(%r|^'%buildroot'|, "")' \
	> gtk2-filelist

find %buildroot -type f -print \
	| grep 'gdk_pixbuf2' \
	| ruby -pe 'sub(%r|^'%buildroot'|, "")' \
	>> gtk2-filelist


mkdir -p %buildroot%{_docdir}/ruby-gtk2/
cp AUTHORS %buildroot%{_docdir}/ruby-gtk2/


cp -a gtk/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-gtk2/
cp -a gdkpixbuf/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-gtk2/

echo '%{_docdir}/ruby-gtk2/' >> gtk2-filelist

# pango 
find %buildroot -type f -print \
	| grep 'pango' | grep -v '\.h$' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> pango-filelist

mkdir -p %buildroot%{_docdir}/ruby-pango/
cp AUTHORS %buildroot%{_docdir}/ruby-pango/
cp -a pango/{COPYING.LIB,ChangeLog,README,sample}  %buildroot%{_docdir}/ruby-pango/
echo '%{_docdir}/ruby-pango/'  >> pango-filelist

# libglade2
mkdir -p %buildroot%{_bindir}
cp libglade/bin/* %buildroot%{_bindir}
find %buildroot -type f -print \
	| grep 'libglade2' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> libglade2-filelist
echo %{_bindir}/ruby-glade-create-template >> libglade2-filelist
mkdir -p %buildroot%{_docdir}/ruby-libglade2/
cp AUTHORS %buildroot%{_docdir}/ruby-libglade2/
cp -a libglade/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-libglade2/
echo '%{_docdir}/ruby-libglade2/' >> libglade2-filelist

# libart2
find %buildroot -type f -print \
	| grep 'libart2' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> libart2-filelist
mkdir -p %buildroot%{_docdir}/ruby-libart2/
cp AUTHORS %buildroot%{_docdir}/ruby-libart2/
cp -a libart/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-libart2/
echo '%{_docdir}/ruby-libart2/' >> libart2-filelist

# gnome2
find %buildroot -type f -print \
	| grep 'gnome2\.' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> gnome2-filelist
mkdir -p %buildroot%{_docdir}/ruby-gnome2/
cp AUTHORS %buildroot%{_docdir}/ruby-gnome2/
cp -a gnome/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-gnome2/
echo '%{_docdir}/ruby-gnome2/' >> gnome2-filelist

# gnomecanvas2
find %buildroot -type f -print  \
	| grep 'gnomecanvas2' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> gnomecanvas2-filelist
mkdir -p %buildroot%{_docdir}/ruby-gnomecanvas2/
cp AUTHORS %buildroot%{_docdir}/ruby-gnomecanvas2/
cp -a gnomecanvas/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-gnomecanvas2/
echo '%{_docdir}/ruby-gnomecanvas2/'  >> gnomecanvas2-filelist

# gconf
find %buildroot -type f -print \
	| grep 'gconf2' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> gconf2-filelist
mkdir -p %buildroot%{_docdir}/ruby-gconf2/
cp AUTHORS %buildroot%{_docdir}/ruby-gconf2/
cp -a gconf/{COPYING.LIB,ChangeLog,README,tests} %buildroot%{_docdir}/ruby-gconf2/
echo '%{_docdir}/ruby-gconf2/' >> gconf2-filelist

# gnome-vfs
find %buildroot -type f -print \
	| grep 'gnomevfs' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> gnomevfs2-filelist
mkdir -p %buildroot%{_docdir}/ruby-gnomevfs/
cp AUTHORS %buildroot%{_docdir}/ruby-gnomevfs/
cp -a gnomevfs/{COPYING.LIB,ChangeLog,README,tests} %buildroot%{_docdir}/ruby-gnomevfs/
echo '%{_docdir}/ruby-gnomevfs/' >> gnomevfs2-filelist

# gstreamer
find %buildroot -type f -print \
	| grep 'gst' | grep -v '\.h$' \
	| ruby -pe  'sub(%r|^'%buildroot'|, "")' \
	> gst-filelist
mkdir -p %buildroot%{_docdir}/ruby-gstreamer/
cp AUTHORS %buildroot%{_docdir}/ruby-gstreamer/
cp -a gstreamer/{COPYING.LIB,ChangeLog,README,tests} %buildroot%{_docdir}/ruby-gstreamer/
echo '%{_docdir}/ruby-gstreamer/' >> gst-filelist

# gtkhtml2
find %buildroot -type f -print \
        | grep 'gtkhtml2' | grep -v '\.h$' \
        | ruby -pe  'sub(%r|^'%buildroot'|, "")' \
        > gtkhtml2-filelist
mkdir -p %buildroot%{_docdir}/ruby-gtkhtml2/
cp AUTHORS %buildroot%{_docdir}/ruby-gtkhtml2/
cp -a gtkhtml2/{COPYING.LIB,ChangeLog,README,sample} %buildroot%{_docdir}/ruby-\
gtkhtml2/
echo '%{_docdir}/ruby-gtkhtml2/' >> gtkhtml2-filelist

# gtkglext
find %buildroot -type f -print \
        | grep 'gtkglext' | grep -v '\.h$' \
        | ruby -pe  'sub(%r|^'%buildroot'|, "")' \
        > gtkglext-filelist
mkdir -p %buildroot%{_docdir}/ruby-gtkglext/
cp AUTHORS %buildroot%{_docdir}/ruby-gtkglext/
cp -a gtkglext/{ChangeLog,README,sample} %buildroot%{_docdir}/ruby-\
gtkglext/
echo '%{_docdir}/ruby-gtkglext/' >> gtkglext-filelist


# remove duplicate headers
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*/*/*/*/*.h

%clean
rm -rf $RPM_BUILD_ROOT

%files -n ruby-glib2 -f glib2-filelist
%defattr(-,root,root)
%files -n ruby-gtk2 -f gtk2-filelist
%defattr(-,root,root)
%files -n ruby-pango -f pango-filelist
%defattr(-,root,root)
%files -n ruby-libglade2 -f libglade2-filelist
%defattr(-,root,root)
%files -n ruby-libart2 -f libart2-filelist
%defattr(-,root,root)
%files -f gnome2-filelist
%defattr(-,root,root)
%files -n ruby-gnomecanvas2 -f gnomecanvas2-filelist
%defattr(-,root,root)
%files -n ruby-gconf2 -f gconf2-filelist
%defattr(-,root,root)
%files -n ruby-gnomevfs2 -f gnomevfs2-filelist
%defattr(-,root,root)
%files -n ruby-gst -f gst-filelist
%defattr(-,root,root)
%files -n ruby-gtkhtml2 -f gtkhtml2-filelist
%defattr(-,root,root)
%files -n ruby-gtkglext -f gtkglext-filelist
%defattr(-,root,root)
%files devel
%defattr(-,root,root)
%{_libdir}/*/*/*/*.h

%changelog
* Sun Sep 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.7.0-2mdk
- Fixed BuildRequires

* Sun Sep 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.7.0-1mdk
- new version (adds gtkgl)

* Mon Sep 01 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.6.0-2mdk
- add gtkhtml2

* Mon Aug 18 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.0-1mdk
- new version (adds gnomevfs2 and gst)
- fix url

* Mon Jul 07 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.0-3mdk
- Fix dir ownership

* Wed Jun 18 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.0-2mdk
- Stole package split and descriptions from Vee Satayamas
- Added binary provided with Ruby/Libglade

* Wed Jun 18 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.0-1mdk
- first release

